#!/bin/bash
set -e

username=$1
address=$2
shift
shift

for f in "$@"
do
    ./compile.sh $address $f $RANDOM $f PO --debug &
done

for job in `jobs -p`
do
    wait $job || let "FAIL+=1"
done

./link_and_load.sh $address $username "$@" --fast
