#!/bin/bash
set -e

source library.sh

address=$1
filename=`realpath $2`
username=$3
modulename=$4
mode=$5

# Leave this here too, as the call might crash early
curl $address -d "op=set_input&username=user_manager&element_type=V&value=\"$username\"" -s -S >> /dev/null

cd interface/HUTN
${python} hutn_compiler/compiler.py $filename grammars/actionlanguage.g $mode $username $modulename $filename $address
