#!/bin/bash
set -e
trap "trap - SIGTERM && kill -- -$$" SIGINT SIGTERM EXIT

port=$1
source library.sh

echo "Compiling MvK server"
cd hybrid_server
${python} python_sccd_compiler/sccdc.py -p threads server.xml

echo "Starting MvK"
${python} run_mvk_server.py $port
